TLS 1.0 + TLS 1.1 Abschaltung bei Payment Providern

Hintergrund

TLS ist eine Protokollversion von dem SSL Verschlüsselungsverfahren. TLS (Wiki)
Ab August schreibt die Payment Card Industry vor, dass die Payment Provider (Heidelpay, Paypal u.a.) keine TLS 1.0 und 1.1 Kommunikation annehmen dürfen. Mehr dazu hier: What Happens After 30 June 2018? New Guidance on Use of SSL/Early TLS

Was heißt das für den Shopbetreiber?

Der Shopbetreiber muss sicherstellen, dass vor der Umstellung Module und Bibliotheken
auf einem aktuellen Stand sind. Wenn nicht müssen diese seitens Server Provider und
Modulautoren beantragt werden.

Was ist zu tun?

Wir stellen ein Script bereit, dass sich jeder herunterladen kann. curltest.zip Bitte entpacken Sie die Datei, laden Sie die Datei auf Ihrem Server in das Shop Hauptverzeichnis und rufen es auf.

Die Ausgabe sollte etwa so aussehen:

OS: Linux
uname: Linux cloudX-XXX X.X.X+XXX-X #1 SMP Thu May 24 11:36:59 UTC 2018 x86_64
PHP version: 5.3.29
curl version: 7.38.0
SSL version: OpenSSL/1.0.2n
SSL version number: 0
OPENSSL_VERSION_NUMBER: 100020ef
TLS test (default): TLS 1.2
TLS test (TLS_v1): TLS 1.2
TLS test (TLS_v1_2): TLS 1.2

Wichtig hierbei sind diese Einträge:

PHP version: 5.3.29
curl version: 7.38.0
TLS test (default): TLS 1.2
TLS test (TLS_v1_2): TLS 1.2

Negativbeispiel:

curl version: 7.35.0
SSL version: OpenSSL/0.9.8{
SSL version number: 0
OPENSSL_VERSION_NUMBER: 9081bf
TLS test (default): TLS 1.0
TLS test (TLS_v1): TLS 1.0
TLS test (TLS_v1_2): Error! errno = 35, msg = Unsupported SSL protocol version

Die Mindestanforderungen für den Server lautet wie folgt:

SSL version: OpenSSL 1.0.1
curl version: 7.34.0 besser: 7.38.0

Die Versionen kann lediglich der Server Provider aktualisieren.
Daher wenden Sie sich bitte zeitnah an Ihren Server Provider.
Hinweis:bei Profihost Servern sind bereits bis PHP 5.3 die Bibliotheken aktualisiert.

Sofern die Serverumgebung den Mindestanforderungen entspricht, sollten Zahlungsmodule überprüft werden.
Je nach Modul kann das unterschiedlich ausfallen, wenden Sie sich hierzu an den entsprechenden Modulautor.

 

0.00 avg. rating (0% score) - 0 votes


Start the discussion at OXID forums